| OpenCV 4.3.0 Open Source Computer Vision

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::detail::Timelapser Class Reference
Images stitching

`#include <opencv2/stitching/detail/timelapsers.hpp>`

Inheritance diagram for cv::detail::Timelapser:

## Public Types
enum | { AS_IS, CROP }

## Public Member Functions
virtual | ~Timelapser ()
virtual const UMat & | getDst ()
virtual void | initialize (const std::vector< Point > &corners, const std::vector< Size > &sizes)
virtual void | process (InputArray img, InputArray mask, Point tl)

## Static Public Member Functions
static Ptr< Timelapser > | createDefault (int type)

## Protected Member Functions
virtual bool | test_point (Point pt)

## Protected Attributes
UMat | dst_
Rect | dst_roi_

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
AS_IS |
CROP |

## Constructor & Destructor Documentation

## ◆ ~Timelapser()

virtual cv::detail::Timelapser::~Timelapser | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ createDefault()

static Ptr<Timelapser> cv::detail::Timelapser::createDefault | ( | int | type | ) |
| static

Python:
| retval | = | cv.detail.Timelapser_createDefault( | type | )

## ◆ getDst()

virtual const UMat& cv::detail::Timelapser::getDst | ( |  | ) |
| inline virtual

Python:
| retval | = | cv.detail_Timelapser.getDst( |  | )

## ◆ initialize()

virtual void cv::detail::Timelapser::initialize | ( | const std::vector< Point > & | corners,
|  | const std::vector< Size > & | sizes
| ) |  |
| virtual

Python:
| None | = | cv.detail_Timelapser.initialize( | corners, sizes | )

Reimplemented in cv::detail::TimelapserCrop.

## ◆ process()

virtual void cv::detail::Timelapser::process | ( | InputArray | img,
|  | InputArray | mask,
|  | Point | tl
| ) |  |
| virtual

Python:
| None | = | cv.detail_Timelapser.process( | img, mask, tl | )

## ◆ test_point()

virtual bool cv::detail::Timelapser::test_point | ( | Point | pt | ) |
| protected virtual

## Member Data Documentation

## ◆ dst_

UMat cv::detail::Timelapser::dst_
| protected

## ◆ dst_roi_

Rect cv::detail::Timelapser::dst_roi_
| protected

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/timelapsers.hpp